taskd(1)

NAME
taskd - Taskserver

SYNOPSIS
taskd <command> [options] [<args>]
taskd -v|--version
taskd -h|--help
taskd diagnostics
taskd validate <JSON | file>
taskd help [<command>]

DESCRIPTION
Taskserver is a sync server for Taskwarrior and related products.

COMMANDS
Taskserver supports several commands, which provide administrative capabilities. The commands are:

taskd init [--data <root>] [options]
    Performs a one-time initialization of the Taskserver instance. Creates the bare data structure. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd help <command> [options]
    Provides option and syntax help for each command.

taskd config [options] [--data <root>] [--force] [<name> [<value>]]
    Allows modification of the taskd configuration. Can add, remove, modify or list all configuration settings. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd server [--daemon] [options]
    Starts the server in daemon or TTY mode. While there is no interactivity, the difference is whether taskd is attached to a TTY or not. Note that sending the HUP signal to the taskd server causes a configuration file reload before the next request is handled.

taskd add [--data <root>] org <org>

taskd add [--data <root>] group <org> <group>

taskd add [--data <root>] user <org> <user>
    Adds organizations, groups and users. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd remove [--data <root>] org <org>

taskd remove [--data <root>] group <org> <group>

taskd remove [--data <root>] user <org> <user>
    Removes organizations, groups and users. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd suspend [--data <root>] org <org>

taskd suspend [--data <root>] group <org> <group>

taskd suspend [--data <root>] user <org> <user>
    Suspends organizations, groups and users. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd resume [--data <root>] org <org>

taskd resume [--data <root>] group <org> <group>

taskd resume [--data <root>] user <org> <user>
    Resumes organizations, groups and users. Either '--data <root>' must be specified, or TASKDDATA must be set.

taskd diagnostics
    Displays diagnostic information important when reporting bugs.

taskd validate <JSON | file>
    Parses the quoted JSON string or JSON file. Useful for debugging JSON that is generated by Taskserver clients.

taskd client [options] <host:port> <file> [<file> ...]
    Sends the Taskserver request in <file> to <host:port>. Options specified must include ca.cert (for self-signed certs), client.cert, client.key.

COMMON OPTIONS
Most commands support the following options:

--NAME=VALUE
    Temporary configuration override.

--force
    Does not ask for confirmation of changes.

--quiet
    Suppresses verbose output.

--debug
    Shows debugging information.

--data <root>
    Many commands require the location of the data root, so either it must be provided as shown, or via the TASKDDATA environment variable.

CONFIGURATION
The Taskserver configuration file can be found in the top level of the data root. It is recommended that the 'taskd config' command is used to manipulate this file. Note that any configuration variable may be overridden on the command line using this syntax:
  $ taskd server --NAME=VALUE In all commands but one, this will _temporarily_ override the value, but with the 'init' command, which creates a config file, overrides are made permanent.

ENVIRONMENT VARIABLES
Environment variables provide values that would otherwise be required at the command line.

TASKDDATA=<root>
    Most command require either '--data <root>' or this environment variable. If both are provided, the command line overrides the environment.

CREDITS & COPYRIGHTS
Copyright (C) 2010 - 2015, Göteborg Bit Factory. Taskserver is distributed under the MIT license. See http://www.opensource.org/licenses/mit-license.php for more information.

SEE ALSO
taskdrc(5),taskdctl(1) For more information regarding Taskserver, see the following:

The official site at
    <http://taskwarrior.org>

The official code repository at
    <https://git.tasktools.org/scm/tm/taskd.git>

You can contact the project by emailing
    <support@taskwarrior.org>

REPORTING BUGS

Bugs in Taskserver may be reported to the issue-tracker at
    <http://taskwarrior.org